Subject: Re: bug#58900: guix pull failure

From: zimoun <[email-masked]>
Date: Fri, 25 Nov 2022 15:58:12 +0100

Hi,

Sorry I have missed your email because you sent only to me and not to
the bug report [email-masked].

On Thu, 3 Nov 2022 at 14:22, <[email-masked]> wrote:

> >>   guix      https://git.savannah.gnu.org/git/guix.git        9eabe0e
>
> | This commit is from Oct 30th, 2022…

[...]

> >> ./guix/store.scm:1419:15: Throw to key `srfi-34' with args
> >> `(#<condition &store-protocol-error [message: "`/usr/bin/guix
> >> substitute' died unexpectedly" status: 1] 7fb3c5f7ab40>)'.
> >> guix pull: error: You found a bug: the program '/gnu/store/58czcidmlsasny3w40niawi4yi3gq9qy-compute-guix-derivation'
> >> failed to compute the derivation for Guix (version: "9eabe0e1fdaa39b562b451404e58fecda9c712fe"; system: "x86_64-linux";
> >> host version: "1.1.0rc2"; pull-version: 1).
>
> | …and I guess you just installed v1.1.0rc2.  Why not the last release as
> | v1.3?  Or even the latest?
>
>   I have guix package manager already installed on top of gentoo. I use
>   it from time to time since two years I think. I update it from time to
>   time when it works (buit it often failed).

Something appears to me wrong.  Because if you update Guix from time
to time, then it would not be at the version v1.1.0rc2. ;-)

For instance, it appears /usr/bin/guix which is the very first
revision provided by the installer.  Then, running "guix pull" will
update the current Guix located at ~/.config/guix/current/bin/guix.

What is the output of 'which guix'?

>   Indeed guix is very instable each time I try to use it : it is even
>   more instable than gentoo.

Well, I use it daily in professional context and I switch from one
revision to several every day.  And, yes there is some annoyances
because it is easy to keep working in the same time something from
2020 and from now.  Bah, I would not say "instable". ;-)

Cheers,
simon